package com.uas.cloud.mall.shop.news;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
 * 新闻资讯服务
 * <p>
 * Created by dongbw on 17/02/25.
 */

@EnableDiscoveryClient
@SpringBootApplication
public class NewsApplication {
    public static void main(String[] args) {
        new SpringApplicationBuilder(NewsApplication.class).web(true).run(args);
    }
}
