package com.uas.cloud.mall.shop.news.service;

import com.uas.cloud.mall.shop.news.model.News;

import java.util.List;
import java.util.Map;

/**
 * Created by dongbw on 17/02/25 16:05.
 */
public interface NewsService {

    News findone(Long id);

    /**
     *  根据传入数量获取创建时间最新的新闻
     *
     * @return
     */
    Map<String,Object> findBycreated(int pagenumber , int pagesize , String taxonomySlug);


    /**
     *  根据传入数量获取点击量最多的多条新闻
     *
     * @return
     */
    Map<String,Object> findByViewCount(int pagenumber , int pagesize , String taxonomySlug);

}
